---
displayed_sidebar: entitiesSidebar
---

# Class: Address

## Hierarchy

- `SoftDeletableEntity`

  ↳ **`Address`**

## Constructors

### constructor

• **new Address**()

#### Inherited from

SoftDeletableEntity.constructor

## Properties

### address\_1

• **address\_1**: ``null`` \| `string`

#### Defined in

[models/address.ts:36](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L36)

___

### address\_2

• **address\_2**: ``null`` \| `string`

#### Defined in

[models/address.ts:39](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L39)

___

### city

• **city**: ``null`` \| `string`

#### Defined in

[models/address.ts:42](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L42)

___

### company

• **company**: ``null`` \| `string`

#### Defined in

[models/address.ts:27](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L27)

___

### country

• **country**: ``null`` \| [`Country`](Country.md)

#### Defined in

[models/address.ts:49](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L49)

___

### country\_code

• **country\_code**: ``null`` \| `string`

#### Defined in

[models/address.ts:45](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L45)

___

### created\_at

• **created\_at**: `Date`

#### Inherited from

SoftDeletableEntity.created\_at

#### Defined in

[interfaces/models/base-entity.ts:16](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L16)

___

### customer

• **customer**: ``null`` \| [`Customer`](Customer.md)

#### Defined in

[models/address.ts:24](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L24)

___

### customer\_id

• **customer\_id**: ``null`` \| `string`

#### Defined in

[models/address.ts:20](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L20)

___

### deleted\_at

• **deleted\_at**: ``null`` \| `Date`

#### Inherited from

SoftDeletableEntity.deleted\_at

#### Defined in

[interfaces/models/soft-deletable-entity.ts:7](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/soft-deletable-entity.ts#L7)

___

### first\_name

• **first\_name**: ``null`` \| `string`

#### Defined in

[models/address.ts:30](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L30)

___

### id

• **id**: `string`

#### Inherited from

SoftDeletableEntity.id

#### Defined in

[interfaces/models/base-entity.ts:13](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L13)

___

### last\_name

• **last\_name**: ``null`` \| `string`

#### Defined in

[models/address.ts:33](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L33)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/address.ts:61](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L61)

___

### phone

• **phone**: ``null`` \| `string`

#### Defined in

[models/address.ts:58](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L58)

___

### postal\_code

• **postal\_code**: ``null`` \| `string`

#### Defined in

[models/address.ts:55](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L55)

___

### province

• **province**: ``null`` \| `string`

#### Defined in

[models/address.ts:52](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L52)

___

### updated\_at

• **updated\_at**: `Date`

#### Inherited from

SoftDeletableEntity.updated\_at

#### Defined in

[interfaces/models/base-entity.ts:19](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L19)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/address.ts:63](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/address.ts#L63)
